Transactions
Retrieve and filter your transaction history programmatically.
Fetch Transactions
Get a list of all transactions or filter by a specific service.
GET
/user/transactions
Query Parameters
| Parameter | Type | Description |
|---|---|---|
service |
string | Optional. Filter by: airtime, data, cable,
electricity, nin, bvn.
|
limit |
integer | Optional. Number of records to return (default: 100). |
Response Format
{
"status": "success",
"data": [
{
"reference": "TOPUP-12345",
"recipient": "08012345678",
"service": "airtime",
"amount": 200.00,
"status": "successful",
"date": "31-01-2026 18:30:15"
},
{
"reference": "NIN-ABCD-1234",
"recipient": "12345678901",
"service": "nin_validation",
"amount": 100.00,
"status": "successful",
"date": "31-01-2026 19:10:45"
}
]
}
© 2026 FranceVerified API. All rights reserved.